package com.kingdee.eas.custom.synctask.handler;

import com.kingdee.bos.Context;
import com.kingdee.eas.custom.synctask.SyncTranForOAFacadeFactory;
import com.kingdee.eas.hr.org.web.handler.PositionListHandler;
import com.kingdee.shr.base.syssetting.context.SHRContext;
import com.kingdee.shr.base.syssetting.exception.SHRWebException;
import org.springframework.ui.ModelMap;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import java.util.*;


/**
 * ְλճάlist  OAͬ
 *
 * @date 2024/10/23
 * @apiNote
 */
public class PositionListHandlerEx extends PositionListHandler {
    public void syncOAPositionAction(HttpServletRequest request, HttpServletResponse response, ModelMap modelMap) throws SHRWebException {
        HashMap<Object, Object> map = new HashMap<>();
        Context ctx = SHRContext.getInstance().getContext();
        String billIds = request.getParameter("billIds");
        try {
            SyncTranForOAFacadeFactory.getLocalInstance(ctx).syncPositionToOA(billIds, null);
            map.put("error", "cgong");
            map.put("errorType", "1");
        } catch (Exception e) {
            e.printStackTrace();
            map.put("error", e.getMessage());
            map.put("errorType", "0");
        }
        this.writeSuccessData(map);
    }
}
