package com.kingdee.eas.basedata.org.app;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.dao.IObjectValue;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.basedata.org.AdminOrgUnitInfo;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.custom.synctask.SyncTranForOAFacadeControllerBean;
import com.kingdee.eas.custom.synctask.SyncTranForOAFacadeFactory;
import org.apache.log4j.Logger;

/**
 * @author qingwu
 * @date 2024/10/23
 * @apiNote
 */
public class AdminOrgUnitControllerBeanEx extends AdminOrgUnitControllerBean {
    private static Logger logger =
            Logger.getLogger(AdminOrgUnitControllerBeanEx.class);

    @Override
    protected IObjectPK _addnew(Context ctx, IObjectValue model) throws BOSException, EASBizException {
        logger.error("AdminOrgUnitControllerBeanEx--------------------_addnew");
        IObjectPK iObjectPK = super._addnew(ctx, model);
        AdminOrgUnitInfo info = (AdminOrgUnitInfo) model;
        String id = info.getId().toString();
        //ͬ֯OA
        SyncTranForOAFacadeFactory.getLocalInstance(ctx).syncOrgUnitToOA(id, null);
        return iObjectPK;
    }

    @Override
    protected void _update(Context ctx, IObjectPK pk, IObjectValue model) throws BOSException, EASBizException {
        super._update(ctx, pk, model);
        logger.error("AdminOrgUnitControllerBeanEx--------------------_update");
        //ͬ֯OA
        SyncTranForOAFacadeFactory.getLocalInstance(ctx).syncOrgUnitToOA(pk.toString(), null);
    }

    @Override
    protected void _updatePartial(Context ctx, IObjectValue model, SelectorItemCollection selector) throws BOSException, EASBizException {
        super._updatePartial(ctx, model, selector);
        logger.error("AdminOrgUnitControllerBeanEx--------------------_updatePartial");
        AdminOrgUnitInfo info = (AdminOrgUnitInfo) model;
        String id = info.getId().toString();
        //ͬ֯OA
        SyncTranForOAFacadeFactory.getLocalInstance(ctx).syncOrgUnitToOA(id, null);
    }


}
